import numpy as np
import eazy
import eazy.hdf5
# print("eazy version: ", eazy.__version__)

# to make an empty table
from spherex_refcat_to_eazy import SPHERExRef2Eazy

cattab_empty = SPHERExRef2Eazy().get_empty_eazy_table()

params = {}
params['CATALOG_FILE'] = cattab_empty
# params['MAIN_OUTPUT_FILE'] = outputfile
params['FIX_ZSPEC'] = 'n'
#params['TEMPLATES_FILE'] = './templates.spherex/brown_cosmos_ebv.param'
params['TEMPLATES_FILE'] = './templates/fsps_full/tweak_fsps_QSF_12_v3.param'
params['TEMPLATE_COMBOS'] = 1  # one template at a time [NOT WORKING], default = 99 or 'a'
params['N_MIN_COLORS'] = 3     # EAZY default value : 5
params['APPLY_PRIOR'] = 'y'
params['PRIOR_FILE'] = 'templates/prior_K_TAO.dat'
params['PRIOR_FILTER'] = 163   # 2MASS Ks band

params['Z_MAX'] = 6.0
params['Z_STEP'] = 0.01

ez = eazy.photoz.PhotoZ(
    param_file='zphot.param.default.RefCat.eazypy',
    translate_file='zphot.RefCat.translate',
    zeropoint_file=None,
    params=params,
    load_prior=True,
    load_products=False,
)

#if False:
np.save("tempfilt.npy", ez.tempfilt.tempfilt)
